Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Class Container.AccessibleAWTContainer.AccessibleContainerHandler

    java.lang.Object
      |
      +--java.awt.Container.AccessibleAWTContainer.AccessibleContainerHandler

All Implemented Interfaces:
  ContainerListener, EventListener

Enclosing class:
  Container.AccessibleAWTContainer

protected class Container.AccessibleAWTContainer.AccessibleContainerHandler
extends Object
implements ContainerListener

Fire PropertyChange listener, if one is registered, when children added/removed.

Constructor Summary
`protected` | `Container.AccessibleAWTContainer.AccessibleContainerHandler()`

Method Summary
`void` | `componentAdded(ContainerEvent e)` Invoked when a component has been added to the container.
`void` | `componentRemoved(ContainerEvent e)` Invoked when a component has been removed from the container.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Container.AccessibleAWTContainer.AccessibleContainerHandler

    protected Container.AccessibleAWTContainer.AccessibleContainerHandler()

Method Detail

### componentAdded

    public void componentAdded(ContainerEvent e)

  Description copied from interface: `ContainerListener`
  Invoked when a component has been added to the container.
  Specified by:
    `componentAdded` in interface `ContainerListener`

### componentRemoved

    public void componentRemoved(ContainerEvent e)

  Description copied from interface: `ContainerListener`
  Invoked when a component has been removed from the container.
  Specified by:
    `componentRemoved` in interface `ContainerListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.